Subject: Re: [PATCH net-next v4 0/5] net: ipqess: introduce Qualcomm IPQESS driver

From: Maxime Chevallier <[email-masked]>
Date: Sat, 17 Sep 2022 11:02:02 +0200

On Sat, 17 Sep 2022 00:20:31 +0000
Vladimir Oltean <[email-masked]> wrote:

> On Fri, Sep 09, 2022 at 05:24:49PM +0200, Maxime Chevallier wrote:
> > The DSA out-of-band tagging is still using the skb->headroom part,
> > but there doesn't seem to be any better way for now without adding
> > fields to struct sk_buff.  
> 
> Are we on the same page about what is meant by "skb extensions"? See
> what is provided by CONFIG_SKB_EXTENSIONS, I did not mean it as in
> "extend struct sk_buff with new fields".

Yep, that was one of the other approaches I had in mind, and I've
submitted a series adding fields to sk_buff in the past which was
rejected (for good reasons). But indeed that comment on the cover-letter
was misleading...

Thanks,

Maxime